curl --request PATCH \
--url https://ai.wisepilot.app/api/v1/intelligence/work-items/{id}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "accepted",
"snooze_until": "2023-12-25"
}
'{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"label": "<string>",
"priorityScore": 123,
"whyTemplate": "<string>",
"whyParams": {},
"actionEntityType": "<string>",
"actionEntityId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}Update work item status. Approved revision_review items trigger re-execution. minRole: editor
curl --request PATCH \
--url https://ai.wisepilot.app/api/v1/intelligence/work-items/{id}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "accepted",
"snooze_until": "2023-12-25"
}
'{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"label": "<string>",
"priorityScore": 123,
"whyTemplate": "<string>",
"whyParams": {},
"actionEntityType": "<string>",
"actionEntityId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}API key prefixed with cr_ (e.g. cr_a1b2c3...)